"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const deepAssign = require("../utils/deep-assign.js");
const zhCN = require("./lang/zh-CN.js");
const lang = Vue.ref("zh-CN");
const messages = Vue.reactive({
  "zh-CN": zhCN.default
});
const Locale = {
  messages() {
    return messages[lang.value];
  },
  use(newLang, newMessages) {
    lang.value = newLang;
    this.add({ [newLang]: newMessages });
  },
  add(newMessages = {}) {
    deepAssign.deepAssign(messages, newMessages);
  }
};
var stdin_default = Locale;
exports.Locale = Locale;
exports.default = stdin_default;
